@echo off

echo Register Cod File
set JAVA_LOADER=%cd%\JavaLoader.exe
set JAVA_LOADER=%JAVA_LOADER:\=\\%
set TEMP_REG="%TEMP%\register_cod.reg"

echo Windows Registry Editor Version 5.00>%TEMP_REG%
echo.>>%TEMP_REG%
echo [HKEY_CLASSES_ROOT\.cod]>>%TEMP_REG%
echo @="codfile">>%TEMP_REG%
echo [HKEY_CLASSES_ROOT\codfile\shell\InstallCod\command]>>%TEMP_REG%
echo @="\"%JAVA_LOADER%\" -u load \"%%1\"">>%TEMP_REG%

regedit /s %TEMP_REG%
del %TEMP_REG%
